---
references:
- id: BaydinEtalumis2019
  accessed:
    - year: 2019
      month: 11
      day: 30
  author:
    - family: Baydin
      given: Atılım Güneş
    - family: Shao
      given: Lei
    - family: Bhimji
      given: Wahid
    - family: Heinrich
      given: Lukas
    - family: Meadows
      given: Lawrence
    - family: Liu
      given: Jialin
    - family: Munk
      given: Andreas
    - family: Naderiparizi
      given: Saeid
    - family: Gram-Hansen
      given: Bradley
    - family: Louppe
      given: Gilles
    - family: Ma
      given: Mingfei
    - family: Zhao
      given: Xiaohui
    - family: Torr
      given: Philip
    - family: Lee
      given: Victor
    - family: Cranmer
      given: Kyle
    - family: Prabhat
      given: ''
    - family: Wood
      given: Frank
  citation-key: BaydinEtalumis2019
  container-title: arXiv:1907.03382 [cs, stat]
  issued:
    - year: 2019
      month: 8
      day: 27
  title: >-
    Etalumis: Bringing Probabilistic Programming to Scientific Simulators at
    Scale
  type: paper-conference
  URL: http://arxiv.org/abs/1907.03382

- id: CharlierKernel2021
  accessed:
    - year: 2022
      month: 9
      day: 28
  author:
    - family: Charlier
      given: Benjamin
    - family: Feydy
      given: Jean
    - family: Glaunès
      given: Joan Alexis
    - family: Collin
      given: François-David
    - family: Durif
      given: Ghislain
  citation-key: CharlierKernel2021
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '74'
  issued:
    - year: 2021
  page: 1-6
  title: Kernel Operations on the GPU, with Autodiff, without Memory Overflows
  type: article-journal
  URL: http://jmlr.org/papers/v22/20-275.html
  volume: '22'

- id: CheukNnAUDIO2019
  author:
    - family: Cheuk
      given: Kin Wai
    - family: Agres
      given: Kat
    - family: Herremans
      given: Dorien
  citation-key: CheukNnAUDIO2019
  issued:
    - year: 2019
  language: en
  page: '2'
  title: >-
    nnAUDIO: A Pytorch Audio Processing Tool Using 1d Convolution Neural
    Networks
  type: article-journal

- id: DangelBackPACK2019
  accessed:
    - year: 2021
      month: 8
      day: 5
  author:
    - family: Dangel
      given: Felix
    - family: Kunstner
      given: Frederik
    - family: Hennig
      given: Philipp
  citation-key: DangelBackPACK2019
  container-title: International conference on learning representations
  event-title: International Conference on Learning Representations
  issued:
    - year: 2019
      month: 9
      day: 25
  language: en
  title: 'BackPACK: Packing more into Backprop'
  type: paper-conference
  URL: https://openreview.net/forum?id=BJlrF24twB

- id: DaxbergerLaplace2021
  accessed:
    - year: 2021
      month: 11
      day: 2
  author:
    - family: Daxberger
      given: Erik
    - family: Kristiadi
      given: Agustinus
    - family: Immer
      given: Alexander
    - family: Eschenhagen
      given: Runa
    - family: Bauer
      given: Matthias
    - family: Hennig
      given: Philipp
  citation-key: DaxbergerLaplace2021
  container-title: arXiv:2106.14806 [cs, stat]
  issued:
    - year: 2021
      month: 10
      day: 30
  title: Laplace Redux — Effortless Bayesian Deep Learning
  type: paper-conference
  URL: http://arxiv.org/abs/2106.14806

- id: ImmerImproving2021
  accessed:
    - year: 2021
      month: 8
      day: 23
  author:
    - family: Immer
      given: Alexander
    - family: Korzepa
      given: Maciej
    - family: Bauer
      given: Matthias
  citation-key: ImmerImproving2021
  container-title: International Conference on Artificial Intelligence and Statistics
  event-title: International Conference on Artificial Intelligence and Statistics
  ISSN: 2640-3498
  issued:
    - year: 2021
      month: 3
      day: 18
  language: en
  page: 703-711
  publisher: PMLR
  title: Improving predictions of Bayesian neural nets via local linearization
  type: paper-conference
  URL: https://proceedings.mlr.press/v130/immer21a.html

- id: ImmerScalable2021
  accessed:
    - year: 2023
      month: 1
      day: 3
  author:
    - family: Immer
      given: Alexander
    - family: Bauer
      given: Matthias
    - family: Fortuin
      given: Vincent
    - family: Rätsch
      given: Gunnar
    - family: Emtiyaz
      given: Khan Mohammad
  citation-key: ImmerScalable2021
  container-title: Proceedings of the 38th International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2021
      month: 7
      day: 1
  language: en
  page: 4563-4573
  publisher: PMLR
  title: Scalable Marginal Likelihood Estimation for Model Selection in Deep Learning
  type: paper-conference
  URL: http://arxiv.org/abs/2104.04975

- id: LeInference2017
  author:
    - family: Le
      given: Tuan Anh
    - family: Baydin
      given: Atılım Güneş
    - family: Wood
      given: Frank
  citation-key: LeInference2017
  collection-title: Proceedings of machine learning research
  container-title: >-
    Proceedings of the 20th international conference on artificial intelligence
    and statistics (AISTATS)
  event-place: Fort Lauderdale, FL, USA
  event-title: Artificial Intelligence and Statistics
  ISSN: 2640-3498
  issued:
    - year: 2017
  page: 1338-1348
  publisher: PMLR
  publisher-place: Fort Lauderdale, FL, USA
  title: Inference compilation and universal probabilistic programming
  type: paper-conference
  URL: http://arxiv.org/abs/1610.09900
  volume: '54'

- id: LezcanoCasadoTrivializations2019
  accessed:
    - year: 2021
      month: 12
      day: 19
  author:
    - family: Lezcano Casado
      given: Mario
  citation-key: LezcanoCasadoTrivializations2019
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2019
  publisher: Curran Associates, Inc.
  title: Trivializations for Gradient-Based Optimization on Manifolds
  type: paper-conference
  URL: http://arxiv.org/abs/1909.09501
  volume: '32'

- id: OsawaASDL2023
  accessed:
    - year: 2023
      month: 6
      day: 2
  author:
    - family: Osawa
      given: Kazuki
    - family: Ishikawa
      given: Satoki
    - family: Yokota
      given: Rio
    - family: Li
      given: Shigang
    - family: Hoefler
      given: Torsten
  citation-key: OsawaASDL2023
  issued:
    - year: 2023
      month: 5
      day: 8
  language: en
  number: arXiv:2305.04684
  publisher: arXiv
  title: 'ASDL: A Unified Interface for Gradient Preconditioning in PyTorch'
  type: article
  URL: http://arxiv.org/abs/2305.04684

- id: RogozhnikovEinops2022
  author:
    - family: Rogozhnikov
      given: Alex
  citation-key: RogozhnikovEinops2022
  issued:
    - year: 2022
  language: en
  page: '21'
  title: 'Einops: clear and reliable tensor manipulations with einstein-like notation'
  type: article-journal

- id: SmithOpt2018
  accessed:
    - year: 2022
      month: 4
      day: 27
  author:
    - family: Smith
      given: Daniel G.
      dropping-particle: a
    - family: Gray
      given: Johnnie
  citation-key: SmithOpt2018
  container-title: Journal of Open Source Software
  DOI: 10.21105/joss.00753
  ISSN: 2475-9066
  issue: '26'
  issued:
    - year: 2018
      month: 6
      day: 29
  language: en
  page: '753'
  title: >-
    opt_einsum - A Python package for optimizing contraction order for
    einsum-like expressions
  type: article-journal
  URL: https://joss.theoj.org/papers/10.21105/joss.00753
  volume: '3'

- id: vanKriekenStorchastic2021
  accessed:
    - year: 2021
      month: 11
      day: 3
  author:
    - family: Krieken
      given: Emile
      non-dropping-particle: van
    - family: Tomczak
      given: Jakub M.
    - family: Teije
      given: Annette
      dropping-particle: ten
  citation-key: vanKriekenStorchastic2021
  container-title: arXiv:2104.00428 [cs, stat]
  event-title: Thirty-Fifth Conference on Neural Information Processing Systems
  issued:
    - year: 2021
      month: 10
      day: 26
  title: 'Storchastic: A Framework for General Stochastic Automatic Differentiation'
  type: paper-conference
  URL: http://arxiv.org/abs/2104.00428

- id: YaoPyHessian2020
  accessed:
    - year: 2021
      month: 8
      day: 5
  author:
    - family: Yao
      given: Zhewei
    - family: Gholami
      given: Amir
    - family: Keutzer
      given: Kurt
    - family: Mahoney
      given: Michael
  citation-key: YaoPyHessian2020
  container-title: arXiv:1912.07145 [cs, math]
  issued:
    - year: 2020
      month: 3
      day: 5
  title: 'PyHessian: Neural Networks Through the Lens of the Hessian'
  type: paper-conference
  URL: http://arxiv.org/abs/1912.07145
...
